net.sf.jasperreports.engine.util

## Class Bounds

- java.lang.Object
- - net.sf.jasperreports.engine.util.Bounds

-     public class Bounds
      extends java.lang.Object

  Version:
    $Id: Bounds.java 6019 2013-03-25 10:06:23Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bounds(int startX, int endX, int startY, int endY)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(int startX, int endX, int startY, int endY)`
    `int` | `getEndX()`
    `int` | `getEndY()`
    `int` | `getStartX()`
    `int` | `getStartY()`
    `void` | `grow(int startX, int endX, int startY, int endY)`
    `void` | `setEndX(int endX)`
    `void` | `setEndY(int endY)`
    `void` | `setStartX(int startX)`
    `void` | `setStartY(int startY)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Bounds

          public Bounds(int startX,
                int endX,
                int startY,
                int endY)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getStartX

          public int getStartX()

    - #### getEndX

          public int getEndX()

    - #### getStartY

          public int getStartY()

    - #### getEndY

          public int getEndY()

    - #### setStartX

          public void setStartX(int startX)

    - #### setEndX

          public void setEndX(int endX)

    - #### setStartY

          public void setStartY(int startY)

    - #### setEndY

          public void setEndY(int endY)

    - #### grow

          public void grow(int startX,
                  int endX,
                  int startY,
                  int endY)

    - #### contains

          public boolean contains(int startX,
                         int endX,
                         int startY,
                         int endY)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com